Loading...
Searching...
No Matches
Gudhi::witness_complex::Witness_complex< Nearest_landmark_table_ > Class Template Reference
Witness complex

Constructs (weak) witness complex for a given table of nearest landmarks with respect to witnesses. More...

## Public Member Functions

| Witness_complex (Nearest_landmark_table_ const &nearest_landmark_table)
| Initializes member variables before constructing simplicial complex.
template<typename SimplicialComplexForWitness>
bool | create_complex (SimplicialComplexForWitness &complex, double max_alpha_square, std::size_t limit_dimension=std::numeric_limits< std::size_t >::max()) const
| Outputs the (weak) witness complex of relaxation 'max_alpha_square' in a simplicial complex data structure.

## Detailed Description

template<class Nearest_landmark_table_>
class Gudhi::witness_complex::Witness_complex< Nearest_landmark_table_ >

Constructs (weak) witness complex for a given table of nearest landmarks with respect to witnesses.

Template Parameters

  Nearest_landmark_table_ | needs to be a range of a range of pairs of nearest landmarks and distances. The class Nearest_landmark_table_::value_type must be a copiable range. The range of pairs must admit a member type 'iterator'. The dereference type of the pair range iterator needs to be 'std::pair<std::size_t, double>'.

Examples
  example_nearest_landmark_table.cpp.

## Constructor & Destructor Documentation

## Witness_complex()

template<class Nearest_landmark_table_>

Gudhi::witness_complex::Witness_complex< Nearest_landmark_table_ >::Witness_complex | ( | Nearest_landmark_table_ const & | nearest_landmark_table | ) |

inline

Initializes member variables before constructing simplicial complex.

Records nearest landmark table.

Parameters

  [in]

  nearest_landmark_table

  needs to be a range (one entry per witness) of sorted ranges of pairs of nearest landmarks and distances. The class Nearest_landmark_table_::value_type must be a copiable range. The range of pairs must admit a member type 'iterator'. The dereference type of the pair range iterator needs to be 'std::pair<std::size_t, double>' where the first element is the index of the landmark, and the second its (squared) distance to the witness.

## Member Function Documentation

## create_complex()

template<class Nearest_landmark_table_>
template<typename SimplicialComplexForWitness>

bool Gudhi::witness_complex::Witness_complex< Nearest_landmark_table_ >::create_complex | ( | SimplicialComplexForWitness & | complex,
|  | double | max_alpha_square,
|  | std::size_t | limit_dimension = std::numeric_limits<std::size_t>::max() ) const

inline

Outputs the (weak) witness complex of relaxation 'max_alpha_square' in a simplicial complex data structure.

The function returns true if the construction is successful and false otherwise.

Parameters

  [out] | complex | Simplicial complex data structure compatible which is a model of SimplicialComplexForWitness concept.
  [in] | max_alpha_square | Maximal squared relaxation parameter.
  [in] | limit_dimension | Represents the maximal dimension of the simplicial complex (default value = no limit).

The documentation for this class was generated from the following file:

- include/gudhi/Witness_complex.h